org.eclnt.jsfserver.calendar

## Class ExtCalendarMgr

- java.lang.Object
- - org.eclnt.jsfserver.calendar.ExtCalendarMgr

- All Implemented Interfaces:
    IExtCalendarMgr

      public class ExtCalendarMgr
      extends java.lang.Object
      implements IExtCalendarMgr

  Default implementation if IExctCalendarMgr: per calendar id a corresponding XML file is kept within the stream store.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclnt.jsfserver.calendar.IExtCalendarMgr

      `IExtCalendarMgr.ExtCalendarInfo`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExtCalendarMgr()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clearBuffer()` Optional implementation: in case the calendar management buffers calendar infos: release all buffered information.
    `java.util.List<java.lang.String>` | `getAvailableCalendarIds()` Optional implementation: all available calendars.
    `IExtCalendarMgr.ExtCalendarInfo` | `getCalendarInfoForDay(java.lang.String calendarId, java.util.Date d, java.lang.String timeZone)` Mandatory implementation: check the calendar info for one day.
    `java.util.List<IExtCalendarMgr.ExtCalendarInfo>` | `getCalendarInfoForMonth(java.lang.String calendarId, java.util.Date d, java.lang.String timeZone)` Mandatory implementation: check the calendar info for all days of one month.
    `static IExtCalendarMgr` | `getInstance()` Factory method for passing back an instance of `IExtCalendarMgr`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExtCalendarMgr

          public ExtCalendarMgr()

  - ### Method Detail

    - #### getInstance

          public static IExtCalendarMgr getInstance()

      Factory method for passing back an instance of `IExtCalendarMgr`. The method is checking the system.xml configuration file. In case of not finding a specific definition an instance of `ExtCalendarMgr` is passed back.

    - #### clearBuffer

          public void clearBuffer()

      Description copied from interface: `IExtCalendarMgr`
      Optional implementation: in case the calendar management buffers calendar infos: release all buffered information.
      Specified by:
        `clearBuffer` in interface `IExtCalendarMgr`

    - #### getAvailableCalendarIds

          public java.util.List<java.lang.String> getAvailableCalendarIds()

      Description copied from interface: `IExtCalendarMgr`
      Optional implementation: all available calendars.
      Specified by:
        `getAvailableCalendarIds` in interface `IExtCalendarMgr`

    - #### getCalendarInfoForDay

          public IExtCalendarMgr.ExtCalendarInfo getCalendarInfoForDay(java.lang.String calendarId,
                                                                       java.util.Date d,
                                                                       java.lang.String timeZone)

      Description copied from interface: `IExtCalendarMgr`
      Mandatory implementation: check the calendar info for one day.
      Specified by:
        `getCalendarInfoForDay` in interface `IExtCalendarMgr`

    - #### getCalendarInfoForMonth

          public java.util.List<IExtCalendarMgr.ExtCalendarInfo> getCalendarInfoForMonth(java.lang.String calendarId,
                                                                                         java.util.Date d,
                                                                                         java.lang.String timeZone)

      Description copied from interface: `IExtCalendarMgr`
      Mandatory implementation: check the calendar info for all days of one month. This method is called by the client side calendar component when navigating between months.
      Specified by:
        `getCalendarInfoForMonth` in interface `IExtCalendarMgr`

Copyright © CaptainCasa Gmbh. All Rights Reserved.